function showVectors( u, v, im)

% Resize u and v so we can actually see something in the quiver plot
scalefactor = 200/size(u,2);
u_ = scalefactor*imresize(u,scalefactor,'bilinear');
v_ = scalefactor*imresize(v,scalefactor,'bilinear');

w = size(u,2);
h = size(u,1);

[X,Y] = meshgrid(1:1/scalefactor:w,1:1/scalefactor:h);

% draw image and then draw the quiver
if sum(sum(im))~=0
    imshow(im,[0 255]);
    hold on;
end

% Run quiver taking into account matlab coordinate system quirkiness
% and scaling the magnitude of (u,v) so it is more visible.
quiver(X,Y,u_,-v_,2);
axis('tight');

end